## migrate 0.1.0

=== DESCRIPTION ===
Package: migrate
Type: Package
Title: Create Credit State Migration (Transition) Matrices
Version: 0.1.0
Authors@R: 
    c(person(given = "Michael", 
             family = "Thomas", 
             role = c("aut", "cre"), 
             email = "mthomas@ketchbrookanalytics.com"), 
      person(given = "Brad", 
             family = "Lindblad", 
             role = "ctb", 
             email = "bradley.lindblad@gmail.com"))
Description: Tools to help convert credit risk data at two time points 
    into traditional credit state migration (aka, "transition") matrices.
    At a higher level, 'migrate' is intended to help an analyst understand 
    how risk moved in their credit portfolio over a time interval. 
    References to this methodology include: 
    1. Schuermann, T. (2008) <doi:10.1002/9780470061596.risk0409>.
    2. Perederiy, V. (2017) <arXiv:1708.00062>.
License: MIT + file LICENSE
URL: https://github.com/mthomas-ketchbrook/migrate
BugReports: https://github.com/mthomas-ketchbrook/migrate/issues
Encoding: UTF-8
LazyData: true
Suggests: testthat (>= 2.1.0), knitr, rmarkdown
Depends: R (>= 3.1)
Imports: dplyr (>= 1.0.2), tidyr (>= 1.1.0), crayon (>= 1.3.4), stringr
        (>= 1.4.0), tibble (>= 3.0.1), rlang, utils, magrittr
VignetteBuilder: knitr
Language: en-US
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-11-22 23:33:20 UTC; 18602
Author: Michael Thomas [aut, cre],
  Brad Lindblad [ctb]
Maintainer: Michael Thomas <mthomas@ketchbrookanalytics.com>
Repository: CRAN
Date/Publication: 2020-11-24 12:40:03 UTC

## migrate 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: migrate
 Type: Package
 Title: Create Credit State Migration (Transition) Matrices
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     c(person(given = "Michael", 
              family = "Thomas", 
@@ -31,9 +31,9 @@
 Language: en-US
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-11-22 23:33:20 UTC; 18602
+Packaged: 2020-11-25 02:49:00 UTC; 18602
 Author: Michael Thomas [aut, cre],
   Brad Lindblad [ctb]
 Maintainer: Michael Thomas <mthomas@ketchbrookanalytics.com>
 Repository: CRAN
-Date/Publication: 2020-11-24 12:40:03 UTC
+Date/Publication: 2020-11-26 01:00:03 UTC

## migrate 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: migrate
 Type: Package
 Title: Create Credit State Migration (Transition) Matrices
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: 
     c(person(given = "Michael", 
              family = "Thomas", 
@@ -31,9 +31,9 @@
 Language: en-US
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-11-25 02:49:00 UTC; 18602
+Packaged: 2020-12-07 16:39:06 UTC; 18602
 Author: Michael Thomas [aut, cre],
   Brad Lindblad [ctb]
 Maintainer: Michael Thomas <mthomas@ketchbrookanalytics.com>
 Repository: CRAN
-Date/Publication: 2020-11-26 01:00:03 UTC
+Date/Publication: 2020-12-07 17:10:02 UTC

## migrate 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: migrate
 Type: Package
 Title: Create Credit State Migration (Transition) Matrices
-Version: 0.3.0
+Version: 0.4.0
 Authors@R: 
     c(person(given = "Michael", 
              family = "Thomas", 
@@ -25,15 +25,15 @@
 LazyData: true
 Suggests: testthat (>= 2.1.0), knitr, rmarkdown
 Depends: R (>= 3.1)
-Imports: dplyr (>= 1.0.2), tidyr (>= 1.1.0), crayon (>= 1.3.4), stringr
-        (>= 1.4.0), tibble (>= 3.0.1), rlang, utils, magrittr
+Imports: dplyr (>= 1.0.7), tidyr (>= 1.1.0), tibble (>= 3.0.1), rlang,
+        utils, magrittr
 VignetteBuilder: knitr
 Language: en-US
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-12-07 16:39:06 UTC; 18602
+Packaged: 2021-10-13 20:37:49 UTC; 18602
 Author: Michael Thomas [aut, cre],
   Brad Lindblad [ctb]
 Maintainer: Michael Thomas <mthomas@ketchbrookanalytics.com>
 Repository: CRAN
-Date/Publication: 2020-12-07 17:10:02 UTC
+Date/Publication: 2021-10-15 18:10:02 UTC

## migrate 0.5.0

=== DESCRIPTION ===
Package: migrate
Type: Package
Title: Create Credit State Migration (Transition) Matrices
Version: 0.5.0
Authors@R: 
    c(person(given = "Michael",
             family = "Thomas",
             role = c("aut", "cre"),
             email = "mthomas@ketchbrookanalytics.com"),
      person(given = "Brad",
             family = "Lindblad",
             role = "ctb",
             email = "bradley.lindblad@gmail.com"),
      person(given = "Ivan",
             family = "Millanes",
             role = "ctb",
             email = "imillanes@ketchbrookanalytics.com"))
Description: Tools to help convert credit risk data at two timepoints
    into traditional credit state migration (aka, "transition") matrices.
    At a higher level, 'migrate' is intended to help an analyst understand
    how risk moved in their credit portfolio over a time interval.
    References to this methodology include:
    1. Schuermann, T. (2008) <doi:10.1002/9780470061596.risk0409>.
    2. Perederiy, V. (2017) <doi:10.48550/arXiv.1708.00062>.
License: MIT + file LICENSE
URL: https://github.com/ketchbrookanalytics/migrate,
        https://ketchbrookanalytics.github.io/migrate/
BugReports: https://github.com/ketchbrookanalytics/migrate/issues
Encoding: UTF-8
LazyData: true
Suggests: testthat (>= 2.1.0), knitr, rmarkdown
Depends: R (>= 4.1)
Imports: dplyr (>= 1.0.7), tidyr (>= 1.1.0), tibble (>= 3.0.1), rlang,
        utils, cli, glue
VignetteBuilder: knitr
Language: en-US
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-07-10 10:52:09 UTC; root
Author: Michael Thomas [aut, cre],
  Brad Lindblad [ctb],
  Ivan Millanes [ctb]
Maintainer: Michael Thomas <mthomas@ketchbrookanalytics.com>
Repository: CRAN
Date/Publication: 2024-07-10 13:20:02 UTC

## migrate 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: migrate
 Type: Package
 Title: Create Credit State Migration (Transition) Matrices
-Version: 0.5.0
+Version: 0.5.1
 Authors@R: 
     c(person(given = "Michael",
              family = "Thomas",
@@ -14,7 +14,11 @@
       person(given = "Ivan",
              family = "Millanes",
              role = "ctb",
-             email = "imillanes@ketchbrookanalytics.com"))
+             email = "imillanes@ketchbrookanalytics.com"),
+      person(given = "Dylan",
+             family = "Hughes",
+             role = "ctb",
+             email = "dhughes@ketchbrookanalytics.com"))
 Description: Tools to help convert credit risk data at two timepoints
     into traditional credit state migration (aka, "transition") matrices.
     At a higher level, 'migrate' is intended to help an analyst understand
@@ -34,12 +38,13 @@
         utils, cli, glue
 VignetteBuilder: knitr
 Language: en-US
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2024-07-10 10:52:09 UTC; root
+Packaged: 2026-01-11 05:04:10 UTC; root
 Author: Michael Thomas [aut, cre],
   Brad Lindblad [ctb],
-  Ivan Millanes [ctb]
+  Ivan Millanes [ctb],
+  Dylan Hughes [ctb]
 Maintainer: Michael Thomas <mthomas@ketchbrookanalytics.com>
 Repository: CRAN
-Date/Publication: 2024-07-10 13:20:02 UTC
+Date/Publication: 2026-01-11 05:20:02 UTC

## migrate 0.6

=== debian/changelog ===
migrate (0.6-4) unstable; urgency=low

  * debian/control:
    - remove dependency on python-codespeak-lib (Closes: #592102)
    - remove build dependency on python-codespeak-lib
    - add build dependency on python-tempita (>= 0.4)
    - bump Standards-Version to 3.9.1 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Sat, 07 Aug 2010 18:33:18 +0200

migrate (0.6-3) unstable; urgency=low

  * Fix "migrate gives ImportError if tempita is not installed" by adding
    missing dependency on python-tempita (>= 0.4) to debian/control (Closes:
    #589990)

 -- Jan Dittberner <jandd@debian.org>  Thu, 22 Jul 2010 23:10:32 +0200

migrate (0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Jan Dittberner <jandd@debian.org>  Mon, 12 Jul 2010 00:24:57 +0200

migrate (0.6-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 11 Jul 2010 21:22:25 +0200

migrate (0.6~hg221-1) experimental; urgency=low

  * New upstream pre-release version.
    - add SQLAlchemy 0.6 compatibility
  * debian/source/format:
    - set format to 3.0 (quilt)
  * debian/control:
    - bump Standards-Version to 3.9.0 (no changes needed)
    - remove quilt dependency
    - change debhelper dependency to 7.0.50~
  * debian/rules:
    - install docs/changelog.rst instead of CHANGELOG
    - remove explicit patching

 -- Jan Dittberner <jandd@debian.org>  Sun, 04 Jul 2010 14:32:13 +0200

migrate (0.5.4-3) unstable; urgency=low

  * switch to dh7
  * debian/control:
    - Build-Depends: increase minimum debhelper version to 7.0.50
    - add ${misc:Depends} to python-migrate's Depends
    - remove XB-Python-Version
  * add debian/install.tmpl:
    - used as base for generating debian/install
  * debian/compat:
    - 5 -> 7
  * debian/rules:
    - change handling of .egg-info (Closes: #552921)
    - move all customizations to override_dh_* rules
    - generate debian/install to install template files

 -- Jan Dittberner <jandd@debian.org>  Thu, 29 Oct 2009 12:40:14 +0100

migrate (0.5.4-2) unstable; urgency=low

  * debian/control:
    - use Debian email address
    - bump Standards-Version to 3.8.3 (no changes needed)
    - add quilt to Build-Depends
    - add python-decorator to Build-Depends indep to fix documentation build
  * debian/copyright:
    - add Domen Kožar to upstream authors
    - update upstream URL
    - use Debian email address
  * add debian/patches/keep_empty_modules.patch to prevent python-
    support from deleting the required empty __init__.py files in the
    templates module (Closes: #549488)
  * add debian/README.source to document quilt usage
  * debian/rules: add quilt macros

 -- Jan Dittberner <jandd@debian.org>  Sat, 03 Oct 2009 21:37:20 +0200

migrate (0.5.4-1) unstable; urgency=low

  * New upstream version
  * debian/control: add python-decorator dependency

 -- Jan Dittberner <jan@dittberner.info>  Sun, 07 Jun 2009 15:50:29 +0200

migrate (0.5.3-1) unstable; urgency=low

  * New upstream version
  * don't compress .js files to make search in html docs possible
  * switch to python-support
  * debian/copyright: update copyright years of upstream and Debian
    packaging
  * debian/control:
    - update Standards-Version to 3.8.1 (no changes needed)
    - build depend on python-sphinx >= 0.6.1
    - build depends on python (>= 2.5.4-1~), drop python-all-dev
      dependency, no need to build for all versions
    - remove python-central dependency
    - add python-sqlalchemy to build-depends-indep to allow the build
      of complete API docs
    - make python-migrate depend on libjs-jquery instead of
      python-sphinx at installation time
  * debian/rules:
    - add --no-compile --install-layout=deb
    - use py_libdir macro from python.mk instead of hardcoded paths
    - only build for default Python version
    - link to jquery.js from libjs-jquery

 -- Jan Dittberner <jan@dittberner.info>  Fri, 10 Apr 2009 18:01:29 +0200

migrate (0.5.2-1) unstable; urgency=low

  * New upstream version
  * debian/rules: adapt to upstream changes (rename .static to _static
    when building docs)

 -- Jan Dittberner <jan@dittberner.info>  Wed, 18 Feb 2009 22:54:31 +0100

migrate (0.5.1.2-1) experimental; urgency=low

  * New upstream version 
  * remove debian/patches/disable_py.dpatch because py is not used by
    upstream anymore
  * remove unused debian/patches/00dpatch.conf and debian/patches/00list
  * debian/rules:
    - remove dpatch support because it's not needed
    - build sphinx documentation in html
    - don't compress .rst files
  * debian/dirs:
    - remove docs suffix from /usr/share/doc/python-migrate
  * debian/control:
    - remove dpatch from Build-Depends
    - remove python-docutils from Build-Depends-Indep
    - add python-sphinx to Build-Depends-Indep and Depends
    - bump python-sqlalchemy's minimum required version
  * add debian/migrate-repository repository migration script
  * add debian/migrate-repository.1 man page for migrate-repository
  * remove debian/README.source because of dpatch removal

 -- Jan Dittberner <jan@dittberner.info>  Sat, 07 Feb 2009 23:13:31 +0100

migrate (0.4.5-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Jan Dittberner ]
  * debian/control
    - improved description
    - depend on SQLAlchemy << 0.5~

 -- Jan Dittberner <jan@dittberner.info>  Fri, 09 Jan 2009 23:35:11 +0100

migrate (0.4.5-1) unstable; urgency=low

  * New upstream version
  * debian/control
    + updated Standards-Version to 3.8.0
    + add python-codespeak-lib to Depends to avoid pkg_resources warnings
  * debian/README.source file added

 -- Jan Dittberner <jan@dittberner.info>  Wed, 23 Jul 2008 22:12:53 +0200

migrate (0.4.4-1) unstable; urgency=low

  * New upstream release

 -- Jan Dittberner <jan@dittberner.info>  Fri, 04 Apr 2008 23:12:39 +0200

migrate (0.4.3-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: migrate
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.5.4-1~), python-support (>= 0.6.4),
 python-setuptools (>= 0.6b3), python-sphinx (>= 0.6.1),
 python-sqlalchemy (>= 0.5.1), python-decorator, python-tempita (>=
 0.4)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Homepage: http://code.google.com/p/sqlalchemy-migrate/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/migrate/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/migrate/trunk/

Package: python-migrate
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-sqlalchemy (>=
 0.5.1), python-pkg-resources, libjs-jquery, python-decorator,
 python-tempita (>= 0.4)
Description: Database schema migration for SQLAlchemy
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/python/python.mk

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's,^Version: ([^-]+).*,\1,p')
DOCS=$(shell find docs/ -name "*.rst" -printf "%p ")
PYLIBDIR=$(call py_libdir,$(shell pyversions -d))

%:
	dh $@

override_dh_auto_clean:
	rm -rf dist build
	find . -name '*\.py[co]' -exec rm {} \;
	rm -f docs/reference.txt debian/install

override_dh_auto_build:
	python setup.py install --root=$(CURDIR)/debian/python-migrate --install-layout=deb \
	  --single-version-externally-managed

override_dh_install:
	# install documentation
	cp -R $(DOCS) docs/conf.py debian/python-migrate/usr/share/doc/python-migrate/
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -E -N \
	  debian/python-migrate/usr/share/doc/python-migrate/ \
	  debian/python-migrate/usr/share/doc/python-migrate/html/
	rm -rf \
	  debian/python-migrate/usr/share/doc/python-migrate/html/.doctrees \
	  debian/python-migrate/usr/share/doc/python-migrate/html/_sources \
	  debian/python-migrate/usr/share/doc/python-migrate/html/_static/jquery.js \
	  debian/python-migrate/usr/share/doc/python-migrate/conf.py
	dh_link /usr/share/javascript/jquery/jquery.js \
	  /usr/share/doc/python-migrate/html/_static/jquery.js
	cp debian/install.tmpl debian/install
	find migrate/versioning/templates -type f ! -name '*.py' | while read name; do \
		echo "$$name $(PYLIBDIR)/`dirname $$name`" >> debian/install; \
	done
	dh_install
	# make lintian happy
	chmod +x debian/python-migrate$(PYLIBDIR)/migrate/versioning/templates/manage.py_tmpl

override_dh_installchangelogs:
	dh_installchangelogs -i docs/changelog.rst

override_dh_compress:
	dh_compress -i -X.py -X.rst -X.js

## migrate 0.6.1

=== debian/changelog ===
migrate (0.6.1-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:54 +0200

migrate (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - remove dependency on python-support
    - bump python dependency version to 2.6.5~
    - drop XS-Python-Version, add X-Python-Version
    - add Breaks: ${python:Breaks}
  * debian/rules:
    - add --with python2 to dh call
  * remove debian/patches/use-absolute-imports-of-exception-
    classes.patch that has been applied upstream

 -- Jan Dittberner <jandd@debian.org>  Fri, 11 Feb 2011 22:44:42 +0100

migrate (0.6-5) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 14:48:44 +0100

migrate (0.6-5~exp1) experimental; urgency=low

  * Fix "objects.inv should not be compressed" exclude objects.inv from
    dh_compress in debian/rules, thanks for the report to Michael Fladischer
    (Closes: #608747)
  * Fix "AttributeError: 'module' object has no attribute
    'MigrateDeprecationWarning'" include patch
    debian/patches/use-absolute-imports-of-exception-classes.patch by Etienne
    Millon (Closes: #609259)

 -- Jan Dittberner <jandd@debian.org>  Sun, 09 Jan 2011 16:02:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python (>= 2.5.4-1~), python-support (>= 0.6.4),
- python-setuptools (>= 0.6b3), python-sphinx (>= 0.6.1),
- python-sqlalchemy (>= 0.5.1), python-decorator, python-tempita (>=
- 0.4)
+Build-Depends-Indep: python (>= 2.6.5~), python-setuptools (>= 0.6b3),
+ python-sphinx (>= 0.6.1), python-sqlalchemy (>= 0.5.1), python-decorator,
+ python-tempita (>= 0.4)
 Standards-Version: 3.9.1
-XS-Python-Version: >= 2.4
+X-Python-Version: >= 2.4
 Homepage: http://code.google.com/p/sqlalchemy-migrate/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/migrate/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/migrate/trunk/
@@ -19,6 +18,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-sqlalchemy (>=
  0.5.1), python-pkg-resources, libjs-jquery, python-decorator,
  python-tempita (>= 0.4)
+Breaks: ${python:Breaks}
 Description: Database schema migration for SQLAlchemy
  Inspired by Ruby on Rails' migrations, migrate provides a way to deal
  with database schema changes in SQLAlchemy projects.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PYLIBDIR=$(call py_libdir,$(shell pyversions -d))
 
 %:
-	dh $@
+	dh --with python2 $@
 
 override_dh_auto_clean:
 	rm -rf dist build
@@ -45,4 +45,4 @@
 	dh_installchangelogs -i docs/changelog.rst
 
 override_dh_compress:
-	dh_compress -i -X.py -X.rst -X.js
+	dh_compress -i -X.py -X.rst -X.js -Xobjects.inv

## migrate 0.7

=== debian/changelog ===
migrate (0.7-1) unstable; urgency=low

  * New upstream release.
  * add compatibility with SQLAlchemy 0.7
  * debian/control: remove unneeded Breaks: ${python:Breaks}

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 May 2011 15:27:40 +0200

migrate (0.6.1-3) unstable; urgency=low

  * debian/rules: add --buildsystem=python_distutils, remove
    override_dh_auto_build
  * debian/control: bump Standards-Version to 3.9.2 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Wed, 25 May 2011 13:44:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,12 @@
 PYLIBDIR=$(call py_libdir,$(shell pyversions -d))
 
 %:
-	dh --with python2 $@
+	dh --with python2 --buildsystem=python_distutils $@
 
 override_dh_auto_clean:
 	rm -rf dist build
 	find . -name '*\.py[co]' -exec rm {} \;
 	rm -f docs/reference.txt debian/install
-
-override_dh_auto_build:
-	python setup.py install --root=$(CURDIR)/debian/python-migrate --install-layout=deb \
-	  --single-version-externally-managed
 
 override_dh_install:
 	# install documentation

## migrate 0.7.1

=== debian/changelog ===
migrate (0.7.1-1) unstable; urgency=low

  * New upstream release (better fix for column creation for columns with
    foreign keys).

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 May 2011 23:05:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: python (>= 2.6.5~), python-setuptools (>= 0.6b3),
  python-sphinx (>= 0.6.1), python-sqlalchemy (>= 0.5.1), python-decorator,
  python-tempita (>= 0.4)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 Homepage: http://code.google.com/p/sqlalchemy-migrate/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/migrate/trunk
@@ -18,7 +18,6 @@
 Depends: ${python:Depends}, ${misc:Depends}, python-sqlalchemy (>=
  0.5.1), python-pkg-resources, libjs-jquery, python-decorator,
  python-tempita (>= 0.4)
-Breaks: ${python:Breaks}
 Description: Database schema migration for SQLAlchemy
  Inspired by Ruby on Rails' migrations, migrate provides a way to deal
  with database schema changes in SQLAlchemy projects.

## migrate 0.7.2

=== debian/changelog ===
migrate (0.7.2-6ubuntu0.1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Jan 2014 16:44:53 -0500

migrate (0.7.2-6ubuntu0.1) saucy-proposed; urgency=medium

  * Fixup compatibility with PostgreSQL 9 and SQLAlchemy >= 0.8
    (LP: #1261563):
    - d/p/postgresql-0.8-compat.patch: Cherry picked fixed from Fedora.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2014 09:28:52 +0000

migrate (0.7.2-6) unstable; urgency=low

  * Version-Depends on python-sqlalchemy >= 0.8 (since lower versions
    are incompatible).
  * debian/copyright in parsable format v1.
  * Standards-Version: bump to 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2013 14:45:17 +0000

migrate (0.7.2-5) unstable; urgency=low

  * Team upload.
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Adds patch to make python-migrate works with SQLAlchemy >= 0.8.
    Thanks to Pádraig Brady <P@draigBrady.com> for advising and providing the
    patch. (Closes: #715374)

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2013 14:27:56 +0000

migrate (0.7.2-3) unstable; urgency=low

  * debian/control:
    - move dependencies from Build-Depends-Indep to Build-Depends
    - bump Standards-Version to 3.9.3 (no changes)
    - fix lintian error for dh_addon sphinxdoc by adding
      python-sphinx (>= 1.0.7+dfsg) | python3-sphinx to Build-Depends

 -- Jan Dittberner <jandd@debian.org>  Thu, 17 May 2012 12:52:03 +0200

migrate (0.7.2-2) unstable; urgency=low

  * Fix "FTBFS: URLError: <urlopen error [Errno -2] Name or service not
    known>" by removing support for python-sphinxcontrib.issuetracker
    (Closes: #649621)
    - use debian/patches/disable_issuetracker.patch (thanks to Michael
      Terry)
    - debian/control: remove Build-Depends
      python-sphinxcontrib.issuetracker

 -- Jan Dittberner <jandd@debian.org>  Sat, 26 Nov 2011 14:27:30 +0100

migrate (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add python-sphinxcontrib.issuetracker to Build-Depends-Indep
    - drop X-Python-Version
    - bump python-sphinx build dependency to >= 1.0.7+dfsg~ (for
      dh_sphinxdoc)
    - bump python-sqlalchemy dependency to >= 0.6 (upstream support for
      older version has been dropped)
    - add libjs-sphinxdoc and ${sphinxdoc:Depends} to Depends
    - remove libjs-jquery from Depends (added automatically by
      dh_sphinxdoc)
  * debian/rules:
    - remove treatment for manage.py_tmpl (removed from upstream release)
    - use dh_sphinxdoc
    - remove manual sphinx doc installation
  * add debian/patches/use-local-intersphinx.patch and
    debian/patches/series to avoid fetching objects.inv from the web

 -- Jan Dittberner <jandd@debian.org>  Wed, 02 Nov 2011 00:01:44 +0100

migrate (0.7.1-2) unstable; urgency=low

  * Fix "please update dependency on python-sqlalchemy", rebuild to fix
    python-sqlalchemy dependency (Closes: #636900)

 -- Jan Dittberner <jandd@debian.org>  Sat, 06 Aug 2011 22:12:49 +0200

=== debian/control ===
Source: migrate
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.5~),
 python-setuptools (>= 0.6b3), python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-sqlalchemy (>= 0.8), python-decorator, python-tempita (>= 0.4)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/sqlalchemy-migrate/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/migrate/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/migrate/trunk/

Package: python-migrate
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
 python-sqlalchemy (>= 0.8), python-pkg-resources, python-decorator,
 python-tempita (>= 0.4), libjs-sphinxdoc
Description: Database schema migration for SQLAlchemy
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/python/python.mk

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's,^Version: ([^-]+).*,\1,p')
DOCS=$(shell find docs/ -name "*.rst" -printf "%p ")
PYLIBDIR=$(call py_libdir,$(shell pyversions -d))

%:
	dh --with python2,sphinxdoc --buildsystem=python_distutils $@

override_dh_auto_clean:
	rm -rf dist build
	find . -name '*\.py[co]' -exec rm {} \;
	rm -f docs/reference.txt debian/install

override_dh_auto_install:
	# install documentation
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -E -N \
	  docs/ \
	  debian/python-migrate/usr/share/doc/python-migrate/html/
	cp debian/install.tmpl debian/install
	find migrate/versioning/templates -type f ! -name '*.py' | \
	while read name; do \
		echo "$$name $(PYLIBDIR)/`dirname $$name`" >> debian/install; \
	done
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs -i docs/changelog.rst

override_dh_compress:
	dh_compress -i -X.py -X.rst -X.js -Xobjects.inv

## migrate 0.8.2

=== requirements.txt ===
pbr>=0.5.21,<1.0

SQLAlchemy >= 0.6
decorator
Tempita >= 0.4

=== debian/changelog ===
migrate (0.8.2-3ubuntu1) trusty; urgency=medium

  * debian/control: Add openstack-pkg-tools as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 08:45:06 -0500

migrate (0.8.2-3) unstable; urgency=medium

  * Do not depend on python-sqlite which is in the Python standard library
    (Closes: #732795).
  * Adds export OSLO_PACKAGE_VERSION=$(VERSION) in rules to avoid FTBFS when
    building without git-buildpackage (Closes: #732794).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Dec 2013 14:54:09 +0800

migrate (0.8.2-2) unstable; urgency=medium

  * Removes python3-sphinx as build-depends, to avoid triggers of import
    warnings (Closes: #681073).
  * Removes duplicate build-depends: python-sphinx.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Dec 2013 14:01:14 +0800

migrate (0.8.2-1) unstable; urgency=low

  * New upstream release:
    - Now (build-)depends on python-pbr.
  * Taking over maintainership with previous agreement from Jan Dittberner:
    - Updated VCS fields to use the OpenStack team repositories.
    - Changed the Maintainer: and Uploaders: field.
    - Added a new debian/gbp.conf.
    - Added (not mandatory) include of pkgos.make.
  * Added OpenStack foundation as copyright holder.
  * Ran wrap-and-sort.
  * Upgraded to debhelper and compat >= 9.
  * Removed not needed version in build-depends of python-sqlalchemy.
  * Update path to doc/source/conf.py in Debian patch
    use-local-intersphinx.patch and disable_issuetracker.patch.
  * Removes Add_compatibility_with_sqlalchemy_0.8.patch and
    Fix_dropping_of_indexed_columns_in_sqlite_sa08.patch now applied upstream.
  * Changed debian/docs to use README.rst instead of just README.
  * Changed path of docs/changelog.rst to doc/source/ in debian/rules.
  * Fix section break in debian/copyright.
  * Added Pre-Depends: dpkg (>= 1.15.6~), because of xz compression.
  * Added a number of build-dependencies from test-requirements.txt.
  * Now run tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Nov 2013 12:57:24 +0800

migrate (0.7.2-7) unstable; urgency=low

  * Adds upstrema patch which fixes dropping of indexed columns in sqlite
    with SQLAlchemy 08.
  * Switched control Homepage: and copyright Source: fields to the new upstream
    homepage.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Oct 2013 14:32:30 +0000

=== debian/control ===
Source: migrate
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.5~),
               python-decorator,
               python-feedparser,
               python-fixtures (>= 0.3.12),
               python-mox,
               python-mysqldb,
               python-pbr,
               python-psycopg2,
               python-scripttest,
               python-setuptools (>= 0.6b3),
               python-sphinx (>= 1.0.7+dfsg),
               openstack-pkg-tools,
               python-sqlalchemy,
               python-subunit,
               python-tempita (>= 0.4),
               python-testtools,
               python-tz,
               testrepository (>= 0.0.13)
Standards-Version: 3.9.4
Homepage: https://github.com/stackforge/sqlalchemy-migrate
Vcs-Git: git://anonscm.debian.org/openstack/migrate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/migrate.git;a=summary

Package: python-migrate
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libjs-sphinxdoc,
         python-decorator,
         python-pbr,
         python-pkg-resources,
         python-sqlalchemy (>= 0.8),
         python-tempita (>= 0.4),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: Database schema migration for SQLAlchemy
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-#export DH_VERBOSE=1
+UPSTREAM_GIT = git://github.com/stackforge/sqlalchemy-migrate.git
+-include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(VERSION)
+
 include /usr/share/python/python.mk
 
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
@@ -9,7 +13,7 @@
 PYLIBDIR=$(call py_libdir,$(shell pyversions -d))
 
 %:
-	dh --with python2,sphinxdoc --buildsystem=python_distutils $@
+	dh $@ --with python2,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf dist build
@@ -19,7 +23,7 @@
 override_dh_auto_install:
 	# install documentation
 	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -E -N \
-	  docs/ \
+	  doc/source \
 	  debian/python-migrate/usr/share/doc/python-migrate/html/
 	cp debian/install.tmpl debian/install
 	find migrate/versioning/templates -type f ! -name '*.py' | \
@@ -29,7 +33,12 @@
 	dh_auto_install
 
 override_dh_installchangelogs:
-	dh_installchangelogs -i docs/changelog.rst
+	dh_installchangelogs -i doc/source/changelog.rst
 
 override_dh_compress:
 	dh_compress -i -X.py -X.rst -X.js -Xobjects.inv
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	python setup.py testr --slowest || true
+endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sqlalchemy-migrate/ sqlalchemy-migrate-(.*)\.tar\.gz

## migrate 0.9.1

=== requirements.txt ===
pbr>=0.5.21,<1.0

# never put a cap on this, *ever*, sqla versions are handled via
# tox, and if SQLA is capped it will only make it so we aren't testing
# against all the versions we are compatible with.
SQLAlchemy>=0.7.8
decorator
six>=1.4.1
Tempita >= 0.4

=== debian/changelog ===
migrate (0.9.1-1ubuntu1~cloud2) trusty-juno; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 26 Sep 2014 17:16:25 -0400

migrate (0.9.1-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Dropped python-ibm-db-sa build depenendency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jun 2014 09:57:35 -0400

migrate (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed SQLA 0.9 patches applied upstream.
  * Running testr without python setup.py.
  * Fixed new (build-)dependencies for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Jun 2014 22:29:43 +0800

migrate (0.9-0ubuntu2) utopic; urgency=medium

  * No change rebuilt for sqlachemy. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 May 2014 10:09:33 -0500

migrate (0.9-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Dropped python-ibm-db-sa build depenendency. 
  * Patches dropped:
    - debian/patches/0001-Add-DB2-10.5-Support.patch
    - debian/patches/0002-UniqueConstraint-named-and-escaped-twice.patch
    - debian/patches/0004-Conditionally-import-ibmdb2-ibm_db_sa.patch
    - debian/patches/0005-Fix-genmodel-for-SQLA-0.9.patch
    - debian/patches/0006-Use-native-quote-attribute-introduced-in-sqla-0.9.patch
    - debian/patches/0007-fix-scripttest-compat.patch
    - debian/patches/0008-Replace-AbstractType-by-TypeEngine.patch

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 May 2014 09:50:42 -0400

migrate (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Added patches which I worked out with upstream.
  * Added fix for deprecation.
  * Now build-depends on python-testtools (>= 0.9.35).
  * Added PYTHONPATH=. when running tests.
  * Added upstream SQLA 9 patch.
  * Added MySQL tests capability in the unit tests.
  * Adds a couple of SQLA 9 homebrewed patches.
  * Build-depends on python-subunit (>= 0.0.18) now.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2014 04:46:37 +0000

migrate (0.8.2-4) unstable; urgency=medium

  * Added missing openstack-pkg-tools build-depends, needed for the
    export OSLO_PACKAGE_VERSION=$(VERSION) (otherwise, VERSION doesn't have any
    value). This should be fixing FTBFS. (Closes: #738422)

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Feb 2014 23:55:16 +0800

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,30 @@
            Mehdi Abaakouk <sileht@sileht.net>,
            Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 9),
+               mysql-client,
+               mysql-server,
+               openstack-pkg-tools,
                python (>= 2.6.5~),
                python-decorator,
                python-feedparser,
-               python-fixtures (>= 0.3.12),
+               python-fixtures (>= 0.3.14),
+               python-mock (>= 1.0),
                python-mox,
                python-mysqldb,
-               python-pbr,
+               python-pbr (>= 0.5.21),
                python-psycopg2,
                python-scripttest,
                python-setuptools (>= 0.6b3),
+               python-six (>= 1.4.1),
                python-sphinx (>= 1.0.7+dfsg),
-               openstack-pkg-tools,
                python-sqlalchemy,
-               python-subunit,
+               python-subunit (>= 0.0.18),
                python-tempita (>= 0.4),
-               python-testtools,
+               python-testtools (>= 0.9.35),
                python-tz,
-               testrepository (>= 0.0.13)
-Standards-Version: 3.9.4
+               subunit (>= 0.0.18),
+               testrepository (>= 0.0.17)
+Standards-Version: 3.9.5
 Homepage: https://github.com/stackforge/sqlalchemy-migrate
 Vcs-Git: git://anonscm.debian.org/openstack/migrate.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/migrate.git;a=summary
@@ -36,8 +41,9 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libjs-sphinxdoc,
          python-decorator,
-         python-pbr,
+         python-pbr (>= 0.5.21),
          python-pkg-resources,
+         python-six (>= 1.4.1),
          python-sqlalchemy (>= 0.8),
          python-tempita (>= 0.4),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 UPSTREAM_GIT = git://github.com/stackforge/sqlalchemy-migrate.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
@@ -13,12 +13,13 @@
 PYLIBDIR=$(call py_libdir,$(shell pyversions -d))
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils
 
 override_dh_auto_clean:
 	rm -rf dist build
 	find . -name '*\.py[co]' -exec rm {} \;
 	rm -f docs/reference.txt debian/install
+#	cp debian/test_db.cfg $(CURDIR)
 
 override_dh_auto_install:
 	# install documentation
@@ -40,5 +41,25 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	python setup.py testr --slowest || true
+	chmod +x debian/test.sh
+
+	# Create a working "migrate" binary, so that shell calls continue to
+	# work even without python-migrate being installed
+	mkdir -p debian/bin
+	cp debian/migrate-for-tests debian/bin/migrate
+	sed -i "s#REPLACE_THIS_PATH#$(CURDIR)#" debian/bin/migrate
+
+	# Create a minimalist egg-info, so that "import migrate"
+	# works and gets the correct version
+	mkdir -p sqlalchemy_migrate-$(VERSION).egg-info
+	echo "Metadata-Version: 1.1" >sqlalchemy_migrate-$(VERSION).egg-info/PKG-INFO
+	echo "Name: sqlalchemy-migrate" >>sqlalchemy_migrate-$(VERSION).egg-info/PKG-INFO
+	echo "Version: $(VERSION)" >>sqlalchemy_migrate-$(VERSION).egg-info/PKG-INFO
+
+	# Launch the actual tests
+	$(CURDIR)/debian/test.sh
+
+	# Clean everything
+	rm -rf debian/bin
+	rm -rf sqlalchemy_migrate-$(VERSION).egg-info
 endif

## migrate 0.9.5

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0

# never put a cap on this, *ever*, sqla versions are handled via
# tox, and if SQLA is capped it will only make it so we aren't testing
# against all the versions we are compatible with.
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
decorator
six>=1.7.0
sqlparse
Tempita>=0.4

=== debian/changelog ===
migrate (0.9.5-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 21 Mar 2015 09:33:54 +0000

migrate (0.9.5-0ubuntu1) vivid; urgency=medium

  * New upstream point release (LP: #1434068) supporting OpenStack Kilo-3:
    - d/p/fix-migrate-regressions.patch: Dropped, no longer required.
    - d/control: Add BD on python-sqlparse and python-tempest-lib.

 -- James Page <james.page@ubuntu.com>  Fri, 20 Mar 2015 19:49:30 +0000

migrate (0.9.2-0ubuntu2) vivid; urgency=medium

  * debian/patches/fix-migrate-regressions.patch: Backout multiple 
    sql execuitions. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 13 Dec 2014 15:21:13 -0500

migrate (0.9.2-0ubuntu1) vivid; urgency=medium

  * Ne upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 10:22:15 -0500

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
                python-six (>= 1.4.1),
                python-sphinx (>= 1.0.7+dfsg),
                python-sqlalchemy,
+               python-sqlparse,
                python-subunit (>= 0.0.18),
+               python-tempest-lib (>= 0.1.0),
                python-tempita (>= 0.4),
                python-testtools (>= 0.9.35),
                python-tz,

## migrate 0.9.7

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.11,<2.0

# never put a cap on this, *ever*, sqla versions are handled via
# tox, and if SQLA is capped it will only make it so we aren't testing
# against all the versions we are compatible with.
SQLAlchemy>=0.7.8,!=0.9.5
decorator
six>=1.7.0
sqlparse
Tempita>=0.4

=== debian/changelog ===
migrate (0.9.7-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Jul 2015 18:40:36 +0000

migrate (0.9.7-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop BD on python-ibm-db-sa, not in Ubuntu main.
    - d/p/skip-ibm-tests.patch: Skip IBM DB tests if import fails.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jul 2015 10:29:41 +0100

migrate (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Updated watch file to not use broken PyPi link.
  * Removed obsolete debian/pycompat.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2015 08:06:27 +0000

migrate (0.9.6-3ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop BD on python-ibm-db-sa, not in Ubuntu main.
    - d/p/skip-ibm-tests.patch: Skip IBM DB tests if import fails.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 16:28:54 +0100

migrate (0.9.6-3) unstable; urgency=medium

  * Rebuilt with python-sqlalchemy 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 22:22:16 +0000

migrate (0.9.6-2) unstable; urgency=medium

  * Makes the build reproducible thanks to Juan Picca (Closes: #789733).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:27:25 +0200

migrate (0.9.6-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop BD on python-ibm-db-sa, not in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jun 2015 12:20:06 +0100

migrate (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)dependencies.
  * Standards-Version: 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Mar 2015 13:15:58 +0100

=== debian/control ===
Source: migrate
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Jan Dittberner <jandd@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: mysql-client,
                     mysql-server,
                     python-decorator,
                     python-feedparser,
                     python-fixtures,
                     python-mock,
                     python-mox,
                     python-mysqldb,
                     python-psycopg2,
                     python-scripttest,
                     python-six,
                     python-sqlalchemy,
                     python-sqlparse,
                     python-tempest-lib,
                     python-tempita,
                     python-testtools,
                     python-tz,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/sqlalchemy-migrate
Vcs-Git: git://anonscm.debian.org/openstack/migrate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/migrate.git;a=summary

Package: python-migrate
Architecture: all
Depends: python-decorator,
         python-pbr,
         python-six,
         python-sqlalchemy,
         python-sqlparse,
         python-tempita,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: Database schema migration for SQLAlchemy
 Inspired by Ruby on Rails' migrations, migrate provides a way to deal
 with database schema changes in SQLAlchemy projects.
 .
 SQLAlchemy-migrate is build on top of SQLAlchemy and provides a changeset
 and a versioning API for database schemas as well as a script utilizing
 these APIs. The database change sets are managed in a file based
 repository allowing upgrades and downgrades of database schema versions.
 The change sets may consist of Python code facilitating the changeset API
 or SQL scripts.
 .
 SQLAlchemy-migrate has support for MySQL, PostgreSQL, SQLite and Oracle
 databases. The support for Oracle is not as well tested as the support for
 the other database systems.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 DOCS=$(shell find docs/ -name "*.rst" -printf "%p ")
 PYLIBDIR=$(call py_libdir,$(shell pyversions -d))
 
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+
 %:
 	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils
 
@@ -19,11 +22,11 @@
 	rm -rf dist build
 	find . -name '*\.py[co]' -exec rm {} \;
 	rm -f docs/reference.txt debian/install
-#	cp debian/test_db.cfg $(CURDIR)
+	cp debian/test_db.cfg $(CURDIR)
 
 override_dh_auto_install:
 	# install documentation
-	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -E -N \
+	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -E -N -D today="$(BUILD_DATE)" \
 	  doc/source \
 	  debian/python-migrate/usr/share/doc/python-migrate/html/
 	cp debian/install.tmpl debian/install
